#define _binary_payload		w9.gzdio
#define _source_payload		w9.gzdio

%global __requires_exclude ^perl\\((PDF::Reuse.*|Pedigree.*|TeXLive.*|Tk::path_tre|only|pdfTeX|script::MakeSPList)\\)|pear\\(animals.php\\)
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_docdir}

# - let asymptote be packaged separately, as the generated one is known
#   to not be fully functional
%define enable_asymptote	0

# in its own package
%define with_system_lcdf	0
%define with_system_tex4ht	0
%define with_system_teckit	0


%define texmfbindir		%{_bindir}
%define texmfdir		%{_datadir}/texmf
%define texmfdistdir		%{_datadir}/texmf-dist
%define texmflocaldir		%{_datadir}/texmf-local
%define texmfextradir		%{_datadir}/texmf-extra
%define texmffontsdir		%{_datadir}/texmf-fonts
%define texmfprojectdir		%{_datadir}/texmf-project
%define texmfvardir		%{_localstatedir}/lib/texmf
%define texmfconfdir		%{_sysconfdir}/texmf
%define relYear	2024


#-----------------------------------------------------------------------
Name:		texlive
Version:	%{relYear}0312
Release:	%mkrel 1
Summary:	The TeX formatting system
Group:		Publishing
License:	https://www.tug.org/texlive/LICENSE.TL
URL:		https://tug.org/texlive/
Source0:	ftp://tug.org/historic/systems/texlive/%{relYear}/%{name}-%{version}-source.tar.xz
Source1:	ftp://tug.org/historic/systems/texlive/%{relYear}/%{name}-%{version}-source.tar.xz.sha512

Provides:	tetex  = %{version}-%{release}
Provides:	context = %{version}-%{release}
Provides:	dvipdfm = %{version}-%{release}
Provides:	dvips = %{version}-%{release}
Provides:	mfwin = %{version}-%{release}
Provides:	usrlocal = %{version}-%{release}
Obsoletes:	tetex-xdvi <= 3.1
Provides:	xdvi = %{version}-%{release}
Requires:	ghostscript-module-X
Obsoletes:	xdvi <= 22.86
Obsoletes:	xdvik <= 22.84.16
Obsoletes:	texlive-xdvi <= 2007
%rename xdvik
Provides:	afm = %{version}-%{release}
Provides:	dvilj = %{version}-%{release}
Provides:	dvipdfm = %{version}-%{release}
Provides:	tetex-dvips = %{version}-%{release}
Provides:	dviutils = %{version}-%{release}
Provides:	tetex-latex  = %{version}-%{release}
Provides:	latex = %{version}-%{release}

Obsoletes:	kpathsea <= 2007
Obsoletes:	pdfjam <= 1.21
Obsoletes:	tetex <= 3.1
Obsoletes:	tetex-context <= 3.1
Obsoletes:	tetex-devel <= 3.1
Obsoletes:	tetex-dvipdfm <= 3.1
Obsoletes:	tetex-dvips <= 3.1
Obsoletes:	tetex-dvips <= 3.1
Obsoletes:	tetex-dvilj <= 3.0
Obsoletes:	tetex-latex <= 3.1
Obsoletes:	tetex-mfwin <= 3.1
Obsoletes:	tetex-usrlocal <= 3.1
Obsoletes:	texlive-afm <= 2007
Obsoletes:	texlive-context <= 2007
Obsoletes:	texlive-dvilj <= 2007
Obsoletes:	texlive-dvipdfm <= 2007
Obsoletes:	texlive-dvips <= 2007
Obsoletes:	texlive-dviutils <= 2007
Obsoletes:	texlive-latex <= 2007
Obsoletes:	texlive-mfwin <= 2007
Obsoletes:	texlive-fonts <= 2007
Obsoletes:	texlive-mf2pt1 < 2.5.0-4
%rename abntex2

#-----------------------------------------------------------------------
Requires:	cdialog
Requires:	ghostscript
%if %{enable_asymptote}
Requires:	gv
Requires:	tkinter
%endif
%if %{with_system_lcdf}
Requires:	lcdf-typetoools
%else
Provides:	lcdf-typetools = %{version}
Obsoletes:	lcdf-typetools <= 2.59-5
%endif
Requires:	psutils
%if %{with_system_teckit}
Requires:	teckit
%endif
%if %{with_system_tex4ht}
Requires:	tex4ht
%else
Provides:	tex4ht = %{version}
Obsoletes:	tex4ht <= 1:1.0.2008_02_28_2058
%endif
Requires:	texlive-collection-basic

# Fix upgrade for luatex (mga#12303)
Requires(posttrans):	zlib >= 1.2.8
Requires(posttrans):	kpathsea >= %{version}

#-----------------------------------------------------------------------
BuildRequires:	autoconf-archive
BuildRequires:	bison
BuildRequires:	clisp
BuildRequires:	ffcall-devel
BuildRequires:	ghostscript-devel
BuildRequires:	pkgconfig(gmp)
BuildRequires:	pkgconfig(graphite2)
BuildRequires:	icu-devel
BuildRequires:	libpaper-devel
BuildRequires:	mercurial
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(libbrotlienc)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libwoff2enc)
BuildRequires:	pkgconfig(mpfr)
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(zziplib)
BuildRequires:	potrace-devel
BuildRequires:	t1lib-devel
BuildRequires:	texlive
BuildRequires:	texlive-dist
BuildRequires:	texlive-fonts-sources
BuildRequires:	pkgconfig(libxxhash)
%if %{with_system_teckit}
BuildRequires:	teckit-devel
%endif
%if %{enable_asymptote}
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	flex
BuildRequires:	pkgconfig(bdw-gc)
BuildRequires:	libsigsegv-devel
BuildRequires:	ghostscript-dvipdf
BuildRequires:	pkgconfig(gsl)
BuildRequires:	GL-devel
BuildRequires:	texinfo
%endif

#-----------------------------------------------------------------------
Patch1: texlive-20160523-mageia-format.patch
%if %{enable_asymptote}
Patch2: texlive-20160523-mageia-asymptote.patch
%endif
Patch4: texlive-20160523-texmf-mageia-kpfix.patch
Patch5: includePatch.patch
Patch7: texlive-dvisvgm-system-libs.patch
#Patch8: mga-fix-build-with-gs10.patch
Patch9: texlive-use-grep-E-and-grep-F-instead-of-deprecated-egrep-fgrep.patch
#Patch10: CVE-2023-32700.patch
# force autoconf 2.71 to allow autoreconf passing (later is anyway used system's libpng)
Patch11: texlive-20240312-libpng-force-autoconfig271.patch

#-----------------------------------------------------------------------
%description
TeX Live is an easy way to get up and running with the TeX document
production system. It provides a comprehensive TeX system. It includes
all the major TeX-related programs, macro packages, and fonts that are
free software, including support for many languages around the world.

%files
%{texmfbindir}/*
%dir %{texmfvardir}
%ghost %{texmfvardir}/ls-R
%dir %{texmfconfdir}
%ghost %{texmfconfdir}/ls-R
%ghost %config(noreplace) %{texmfconfdir}/web2c/updmap.cfg


%define	kpathsea_major	6
%define	kpathsea	%{mklibname kpathsea %{kpathsea_major}}

%package	-n %{kpathsea}
Summary:	Path searching library for TeX-related files
Group:		System/Libraries
Provides:	kpathsea = %{version}-%{release}

%description	-n %{kpathsea}
Kpathsea implements generic path searching, configuration,
and TeX-specific file searching.

%files		-n %{kpathsea}
%{_libdir}/libkpathsea.so.%{kpathsea_major}
%{_libdir}/libkpathsea.so.%{kpathsea_major}.*

#-----------------------------------------------------------------------
%define	kpathsea_devel		%{mklibname -d kpathsea}

%package	-n %{kpathsea_devel}
Summary:	Kpathsea development files
Group:		Development/C
Requires:	kpathsea = %{version}-%{release}
Provides:	kpathsea-devel = %{version}-%{release}

%description	-n %{kpathsea_devel}
Kpathsea implements generic path searching, configuration,
and TeX-specific file searching.
This package includes the kpathsea development files.

%files		-n %{kpathsea_devel}
%{_includedir}/kpathsea
%{_libdir}/libkpathsea.so
%{_libdir}/pkgconfig/kpathsea.pc

#-----------------------------------------------------------------------
%define	texlua_major	5
%define	texluajit_major	2
%define	texlua	%{mklibname texlua %{texlua_major}}

%package	-n %{texlua}
Summary:	Library for TeXlua
Group:		System/Libraries
Provides:	texlua = %{version}-%{release}

%description	-n %{texlua}
TeXlua library

%files		-n %{texlua}
%{_libdir}/libtexlua53.so.%{texlua_major}
%{_libdir}/libtexlua53.so.%{texlua_major}.*
%{_libdir}/libtexluajit.so.%{texluajit_major}
%{_libdir}/libtexluajit.so.%{texluajit_major}.*


#-----------------------------------------------------------------------
%define	texlua_devel		%{mklibname -d texlua}

%package	-n %{texlua_devel}
Summary:	Library for TeXlua
Group:		Development/C
Requires:	texlua = %{version}-%{release}
Provides:	texlua-devel = %{version}-%{release}

%description	-n %{texlua_devel}
TeXlua library
This package includes the TeXlua development files.

%files		-n %{texlua_devel}
%{_includedir}/texlua53
%{_includedir}/texluajit
%{_libdir}/libtexlua53.so
%{_libdir}/pkgconfig/texlua53.pc
%{_libdir}/libtexluajit.so
%{_libdir}/pkgconfig/texluajit.pc

#-----------------------------------------------------------------------
%define	synctex_major	2
%define	synctex	%{mklibname synctex %{synctex_major}}

%package	-n %{synctex}
Summary:	Library for SyncTeX
Group:		System/Libraries
Provides:	synctex = %{version}-%{release}

%description	-n %{synctex}
synctex library

%files		-n %{synctex}
%{_libdir}/libsynctex.so.%{synctex_major}
%{_libdir}/libsynctex.so.%{synctex_major}.*

#-----------------------------------------------------------------------
%define	synctex_devel		%{mklibname -d synctex}

%package	-n %{synctex_devel}
Summary:	Library for SyncTeX
Group:		Development/C
Requires:	synctex = %{version}-%{release}
Provides:	synctex-devel = %{version}-%{release}

%description	-n %{synctex_devel}
synctex library
This package includes the synctex development files.

%files		-n %{synctex_devel}
%{_includedir}/synctex
%{_libdir}/libsynctex.so
%{_libdir}/pkgconfig/synctex.pc

#-----------------------------------------------------------------------
%define	ptexenc_major	1
%define	ptexenc	%{mklibname ptexenc %{ptexenc_major}}

%package	-n %{ptexenc}
Summary:	Library for Japanese pTeX
Group:		System/Libraries
Provides:	ptexenc = %{version}-%{release}

%description	-n %{ptexenc}
ptexenc is a useful library for Japanese pTeX
(which stands for publishing TeX, and is an extension of
TeX by ASCII Co.) and its surrounding tools.

%files		-n %{ptexenc}
%{_libdir}/libptexenc.so.%{ptexenc_major}
%{_libdir}/libptexenc.so.%{ptexenc_major}.*

#-----------------------------------------------------------------------
%define	ptexenc_devel		%{mklibname -d ptexenc}

%package	-n %{ptexenc_devel}
Summary:	Library for Japanese pTeX
Group:		Development/C
Requires:	ptexenc = %{version}-%{release}
Provides:	ptexenc-devel = %{version}-%{release}

%description	-n %{ptexenc_devel}
ptexenc is a useful library for Japanese pTeX
(which stands for publishing TeX, and is an extension of
TeX by ASCII Co.) and its surrounding tools.
This package includes the ptexenc development files.

%files		-n %{ptexenc_devel}
%{_includedir}/ptexenc
%{_libdir}/libptexenc.so
%{_libdir}/pkgconfig/ptexenc.pc

########################################################################

#-----------------------------------------------------------------------
%prep
%autosetup -S hg -n %{name}-%{version}-source

# setup default builtin values, added to paths.h from texmf.cnf
perl -pi -e 's%^(TEXMFMAIN\s+= ).*%$1%{texmfdistdir}%;'			  \
	 -e 's%^(TEXMFDIST\s+= ).*%$1%{texmfdistdir}%;'			  \
	 -e 's%^(TEXMFLOCAL\s+= ).*%$1%{texmflocaldir}%;'			  \
	 -e 's%^(TEXMFSYSVAR\s+= ).*%$1%{texmfvardir}%;'		  \
	 -e 's%^(TEXMFSYSCONFIG\s+= ).*%$1%{texmfconfdir}%;'		  \
	 -e 's%^(TEXMFHOME\s+= ).*%$1\$HOME/texmf%;'			  \
	 -e 's%^(TEXMFVAR\s+= ).*%$1\$HOME/.texlive%{relYear}/texmf-var%;'	  \
	 -e 's%^(TEXMFCONFIG\s+= ).*%$1\$HOME/.texlive%{relYear}/texmf-config%;'\
	 -e 's%^(OSFONTDIR\s+= ).*%$1%{_datadir}/fonts%;'		  \
	texk/kpathsea/texmf.cnf

#-----------------------------------------------------------------------
%build
export CXXFLAGS="%{optflags} -std=c++14"

#for dvisvgm system libs patches
./reautoconf

mkdir -p Work
pushd Work

CONFIGURE_TOP=.. \
%configure							\
%if %{with_system_lcdf}
	--disable-lcdf-typetools				\
%endif
%if %{with_system_teckit}
	--disable-teckit					\
	--with-teckit-includes=%{_includedir}/teckit		\
%endif
%if %{with_system_tex4ht}
	--disable-tex4htk					\
%endif
	--with-banner-add="/Mageia"	\
	--disable-dialog \
	--disable-linked-scripts \
	--disable-native-texlive-build \
	--disable-psutils \
	--disable-static \
	--disable-t1utils \
	--enable-dvi2tty \
	--enable-missing \
	--enable-shared \
	--enable-xdvik \
	--enable-xindy \
	--enable-xindy-rules \
	--with-freetype2-includes=%{_includedir}/freetype2	\
	--without-system-xpdf \
	--with-system-cairo \
	--with-system-freetype2 \
	--with-system-gd \
	--with-system-gmp \
	--with-system-graphite2 \
	--with-system-harfbuzz \
	--with-system-icu \
	--with-system-libpaper \
	--with-system-libpng \
	--with-system-mpfr \
	--with-system-pixman \
	--with-system-poppler \
	--with-system-t1lib \
	--with-system-zlib \
	--with-system-zziplib
%make_build

popd

%if %{enable_asymptote}
pushd utils/asymptote
%configure							\
	--enable-gc=system					\
	--enable-texlive-build					\
	--datadir=%{texmfdir}
%make_build
popd
%endif

#-----------------------------------------------------------------------
%install
pushd Work
%make_install
popd

%if %{enable_asymptote}
pushd utils/asymptote
%make_install
popd
%endif

mkdir -p %{buildroot}%{_datadir}
for dir in texmf texmf-dist; do
    if [ -d %{buildroot}%{_prefix}/$dir ]; then
	rm -fr %{buildroot}%{_datadir}/$dir
	mv %{buildroot}%{_prefix}/$dir %{buildroot}%{_datadir}
    fi
done

mkdir -p %{buildroot}%{texmfvardir}
mkdir -p %{buildroot}%{texmfconfdir}

%if %{with_system_lcdf}
# stray directory left
rm -fr %{buildroot}%{_datadir}/lcdf-typetools-for-tex-live
%endif

pushd %{buildroot}%{texmfbindir}
	# missing symbolic links
	ln -sf aleph lamed
	ln -sf luatex dvilualatex
	ln -sf luatex dviluatex
	ln -sf luahbtex lualatex
	ln -sf pdftex amstex
	ln -sf pdftex cslatex
	ln -sf pdftex csplain
	ln -sf pdftex eplain
	ln -sf pdftex etex
	ln -sf pdftex latex
	ln -sf pdftex mex
	ln -sf pdftex mltex
	ln -sf pdftex mllatex
	ln -sf pdftex pdfcslatex
	ln -sf pdftex pdfcsplain
	ln -sf pdftex pdfetex
	ln -sf pdftex pdflatex
	ln -sf pdftex pdfmex
	ln -sf pdftex physe
	ln -sf pdftex phyzzx
	ln -sf pdftex utf8mex
	ln -sf pdftex texsis
	ln -sf ptex platex
	ln -sf mpost metafun
	ln -sf mpost mfplain
	ln -sf xetex xelatex

    # correct symlinks
    for file in *; do
	link=`readlink $file` || :
	if [ "x$link" != "x" ]; then
	    ln -sf `echo $link |					\
		sed	-e 's|\.\./.*texmf-dist/|%{texmfdistdir}/|'	\
			-e 's|\.\./.*texmf/|%{texmfdir}/|'`		\
		$file
	fi
    done
	ln -sf %{_bindir}/dialog tcdialog
%if %{enable_asymptote}
	ln -sf %{texmfdir}/asymptote/GUI/xasy.py xasy
%endif
	# install scripts from texlive-texmf
	rm -f a2ping afm2afm arlatex authorindex autoinst bibexport		\
	bundledoc cachepic cmap2enc de-macro dviasm ebong e2pall	\
	epspdf epspdftk epstopdf fig4latex findhyph font2afm		\
	fragmaster ht htcontext htlatex htmex httex httexi htxelatex	\
	htxetex latex2man latexdiff latexdiff-vc latexmk latexrevise	\
	listings-ext.sh makeglossaries mathspic mk4ht mkgrkindex	\
	mkjobtexmf mkluatexfontdb mkt1font mptopdf ot2kpx pdf180	\
	pdf270 pdf90 pdfannotextractor pdfatfi pdfbook pdfcrop	\
	pdfflip pdfjam pdfjam-pocketmod pdfjam-slides3up		\
	pdfjam-slides6up pdfjoin pdfnup pdfpun pdfthumb perltex	\
	pfm2kpx pkfix  pkfix-helper ppower4 ps4pdf pst2pdf purifyeps	\
	repstopdf rpdfcrop rungs showglyphs simpdftex splitindex	\
	svn-multi texcount texdiff texdirflatten texdoc texdoctk	\
	texloganalyser thumbpdf tlmgr ulqda updmap vpe vpl2ovp	\
	vpl2vpl
popd

# use texmf data
rm -fr %{buildroot}%{texmfdir} %{buildroot}%{texmfdistdir}

# install manual pages and info files from texlive-texmf tarball
rm -fr %{buildroot}%{_mandir} %{buildroot}%{_infodir}

rm -f %{buildroot}%{_datadir}/applications/xdvi.desktop

# drop .la files
find %{buildroot} -name "*.la" -delete

#-----------------------------------------------------------------------
%transfiletriggerin -P 20 -- %{texmfdir} %{texmfdistdir} %{texmflocaldir} %{texmffontsdir}
export TEXMF=/usr/share/texmf-dist
export TEXMFCNF=/usr/share/texmf-dist/web2c
export TEXMFCACHE=/var/lib/texmf
%{_bindir}/texhash > /dev/null 2>&1
%{_bindir}/updmap-sys --syncwithtrees --force > /dev/null 2>&1
%{_bindir}/fmtutil-sys --no-strict --all > /dev/null 2>&1

%changelog
* Sat Sep 28 2024 ghibo <ghibo> 20240312-1.mga9
- Add patch for building with autoconf 2.71 for mga9.

* Sat Mar 16 2024 mokraemer <mokraemer> 20240312-1.mga10
+ Revision: 2050081
- repatch
- new release 2024

* Thu Oct 26 2023 daviddavid <daviddavid> 20220321-9.mga10
+ Revision: 2001842
- rebuild for new zlib 1.3 (mga#32445)

* Wed Sep 27 2023 tv <tv> 20220321-8.mga10
+ Revision: 1991336
- Rebuild for icu-73

* Sun Jul 02 2023 mokraemer <mokraemer> 20220321-7.mga9
+ Revision: 1963500
- CVE-2023-32700 (mga#31952)

* Sat May 06 2023 daviddavid <daviddavid> 20220321-6.mga9
+ Revision: 1955951
- tpic2pdftex: use `grep -E` instead of deprecated `egrep`

* Sat Jan 07 2023 squidf <squidf> 20220321-5.mga9
+ Revision: 1931175
- Mass rebuild for icu 72.1

* Fri Sep 23 2022 ns80 <ns80> 20220321-4.mga9
+ Revision: 1891808
- add a patch to fix building with ghostscript 10
- rebuild for new ghostscript

* Tue Jun 21 2022 mokraemer <mokraemer> 20220321-3.mga9
+ Revision: 1865363
- new buildrequirement
- fix build error
- some cleanup, adding xindy

* Sat Jun 18 2022 squidf <squidf> 20220321-2.mga9
+ Revision: 1864909
- rebuild for icu 71.1

* Tue Apr 26 2022 mokraemer <mokraemer> 20220321-1.mga9
+ Revision: 1854096
- do autoreconf for all dirs
- fix: rerun autoconf
- new release 2022
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Aug 07 2021 mokraemer <mokraemer> 20210325-3.mga9
+ Revision: 1740059
- switch post script to file triggers

* Tue Aug 03 2021 luigiwalser <luigiwalser> 20210325-2.mga9
+ Revision: 1738978
- rebuild for icu

* Fri Apr 02 2021 mokraemer <mokraemer> 20210325-1.mga9
+ Revision: 1712859
- removed poppler patch
- removed some poppler patch
- new release 2021

* Sat Mar 20 2021 wally <wally> 20200406-10.mga9
+ Revision: 1705893
- rebuild for poppler 21.03.0

* Sun Dec 06 2020 wally <wally> 20200406-9.mga8
+ Revision: 1653398
- rebuild for poppler 20.12.0

* Mon Nov 30 2020 luigiwalser <luigiwalser> 20200406-8.mga8
+ Revision: 1650933
- rebuild for icu

* Thu Aug 06 2020 wally <wally> 20200406-7.mga8
+ Revision: 1611573
- rebuild for poppler 20.08.0

* Mon Jul 20 2020 wally <wally> 20200406-6.mga8
+ Revision: 1607403
- rebuild for zziplib 0.13.71

* Wed Jul 01 2020 wally <wally> 20200406-5.mga8
+ Revision: 1601071
- rebuild for icu 67.1

* Tue Jun 09 2020 mokraemer <mokraemer> 20200406-4.mga8
+ Revision: 1591515
- reverting changed dvilua*

* Mon Jun 08 2020 mokraemer <mokraemer> 20200406-3.mga8
+ Revision: 1591085
- switch symlink of luatex to luahbtex

* Sun May 31 2020 tv <tv> 20200406-2.mga8
+ Revision: 1589226
- stop overloading payload to gzip (as done since 2011)

* Tue May 12 2020 mokraemer <mokraemer> 20200406-1.mga8
+ Revision: 1583412
- rediff
- new release 2020

* Sat May 02 2020 wally <wally> 20190410-14.mga8
+ Revision: 1577945
- rebuild for poppler 0.88.0

* Sat Apr 04 2020 wally <wally> 20190410-13.mga8
+ Revision: 1564506
- rebuild for new icu 66.1

* Sat Apr 04 2020 wally <wally> 20190410-12.mga8
+ Revision: 1564381
- rebuild for poppler 0.87.0

* Sat Mar 07 2020 wally <wally> 20190410-11.mga8
+ Revision: 1554650
- add patch from Arch to fix build with poppler 0.86
- rebuild for poppler 0.86.1

* Wed Feb 19 2020 umeabot <umeabot> 20190410-10.mga8
+ Revision: 1544141
- Mageia 8 Mass Rebuild

* Fri Jan 24 2020 wally <wally> 20190410-9.mga8
+ Revision: 1482647
- rebuild for poppler 0.84.0
- replace deprecated %%configure2_5x

* Mon Dec 23 2019 wally <wally> 20190410-8.mga8
+ Revision: 1469760
- clean %%posttrans scriptlets
- own unowned ls-R files
- build dvisvgm with system xxhash and potrace
- build dvisvgm with system woff2 and brotli
- build dvisvgm with system ghostscript
- disable static devel pkgs
- drop .la files
- build with system mpfr
- build using system harfbuzz
- build using system graphite2
- build using system gmp

* Mon Dec 23 2019 wally <wally> 20190410-7.mga8
+ Revision: 1469692
- update poppler 0.83 patch
- rebuild for poppler 0.83.0

* Thu Oct 31 2019 wally <wally> 20190410-6.mga8
+ Revision: 1457173
- rebuild for new poppler 0.82.0

* Thu Oct 10 2019 wally <wally> 20190410-5.mga8
+ Revision: 1451113
- rebuild for poppler 0.81.0

* Sat Oct 05 2019 daviddavid <daviddavid> 20190410-4.mga8
+ Revision: 1449445
- rebuild for new icu 65.1

* Thu Sep 19 2019 wally <wally> 20190410-3.mga8
+ Revision: 1443910
- rebuild for poppler 0.80.0

* Tue Jul 16 2019 wally <wally> 20190410-2.mga8
+ Revision: 1421889
- rebuild with poppler 0.78.0
- add upstream patch to fix build with poppler >= 0.76.0

* Thu Jul 11 2019 mokraemer <mokraemer> 20190410-1.mga8
+ Revision: 1419993
- new version 2019
- require ghostscript-module-X for xdvi display eps files

* Fri Mar 08 2019 daviddavid <daviddavid> 20180414-12.mga7
+ Revision: 1372763
- install synctex_version.h to be able to build evince

* Mon Feb 18 2019 wally <wally> 20180414-11.mga7
+ Revision: 1368164
- rebuild for new poppler 0.74.0

* Sat Jan 26 2019 wally <wally> 20180414-10.mga7
+ Revision: 1361132
- add patch to fix build with new poppler 0.73.0

* Sat Dec 29 2018 luigiwalser <luigiwalser> 20180414-9.mga7
+ Revision: 1346119
- rebuild for icu

* Sat Dec 08 2018 wally <wally> 20180414-8.mga7
+ Revision: 1339044
- add patches to build with poppler 0.72.0

* Sun Nov 18 2018 wally <wally> 20180414-7.mga7
+ Revision: 1330783
- add patches and rebuild for new poppler 0.71.0

* Thu Nov 01 2018 tv <tv> 20180414-6.mga7
+ Revision: 1327046
- fix building with new poppler
- rebuild with latest poppler

* Tue Oct 09 2018 mokraemer <mokraemer> 20180414-4.mga7
+ Revision: 1319158
- CVE-2018-17407 (mga#23655)

* Sat Oct 06 2018 mokraemer <mokraemer> 20180414-3.mga7
+ Revision: 1318203
- removed conflict

* Sat Oct 06 2018 tv <tv> 20180414-2.mga7
+ Revision: 1318118
- restore version in conflicts against texlive-texmf thus fixing installation

* Fri Oct 05 2018 mokraemer <mokraemer> 20180414-1.mga7
+ Revision: 1318067
- texlive 2018

* Fri Oct 05 2018 mokraemer <mokraemer> 20170524-8.mga7
+ Revision: 1318059
- fix dependencies on texlive

* Sun Sep 23 2018 umeabot <umeabot> 20170524-7.mga7
+ Revision: 1301389
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 tv <tv> 20170524-6.mga7
+ Revision: 1253128
- rebuild with latest icu

* Mon Aug 06 2018 eatdirt <eatdirt> 20170524-5.mga7
+ Revision: 1248315
- No strict to fix scriplet failing due to missing format
- Add patch fixing luatex segfault (#12303)

* Sun Apr 15 2018 kekepower <kekepower> 20170524-4.mga7
+ Revision: 1219061
- Rebuild for new Poppler

* Tue Jan 09 2018 mrambo3501 <mrambo3501> 20170524-3.mga7
+ Revision: 1191901
- rebuild for new poppler

* Tue Jan 09 2018 mokraemer <mokraemer> 20170524-2.mga7
+ Revision: 1191895
- rebuild for poppler

* Mon Jan 08 2018 mokraemer <mokraemer> 20170524-1.mga7
+ Revision: 1191405
- new texLive 2017

* Fri Dec 29 2017 wally <wally> 20160523-17.mga7
+ Revision: 1187017
- rebuild for new icu

* Mon Dec 04 2017 mokraemer <mokraemer> 20160523-16.mga7
+ Revision: 1181121
+ rebuild (emptylog)

* Sun Dec 03 2017 mokraemer <mokraemer> 20160523-15.mga7
+ Revision: 1180949
- correct script failure

* Fri Nov 24 2017 mokraemer <mokraemer> 20160523-14.mga7
+ Revision: 1179048
- fix scriptlet failure (mga#21116)

* Thu Nov 23 2017 mokraemer <mokraemer> 20160523-13.mga7
+ Revision: 1178959
- move ruby dependency to texmf-context
- removed bad file
- disable create of linked scripts, as they are deleted before install

* Thu Oct 12 2017 tv <tv> 20160523-12.mga7
+ Revision: 1171316
- rebuild for new poppler

* Thu Sep 21 2017 tv <tv> 20160523-11.mga7
+ Revision: 1156602
- use --with-system-poppler
- add poppler patch
- rebuild for new poppler

* Sun Aug 06 2017 philippem <philippem> 20160523-8.mga7
+ Revision: 1137627
- rebuild for libpoppler

* Mon May 01 2017 neoclust <neoclust> 20160523-7.mga6
+ Revision: 1098172
- Apply P7

* Mon May 01 2017 neoclust <neoclust> 20160523-6.mga6
+ Revision: 1098165
- Add P7 - Fixes CVE-2016-10243 (mga#20401)

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 20160523-5.mga6
+ Revision: 1093212
+ rebuild (emptylog)

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 20160523-4.mga6
+ Revision: 1092811
- Rebuild for icu-58.2

* Mon Jan 02 2017 luigiwalser <luigiwalser> 20160523-3.mga6
+ Revision: 1079515
- rebuild for poppler

* Mon Nov 28 2016 luigiwalser <luigiwalser> 20160523-2.mga6
+ Revision: 1070646
- rebuild for poppler
+ tv <tv>
- do not compute deps from doc files
  (eg: texlive-doc providing "perl(SGMLS)")

* Tue Sep 27 2016 bcornec <bcornec> 20160523-1.mga6
+ Revision: 1057043
- Update to upstream 20160523

* Sat Aug 13 2016 luigiwalser <luigiwalser> 20130530-30.mga6
+ Revision: 1046201
- test rebuild for poppler

* Wed May 25 2016 luigiwalser <luigiwalser> 20130530-29.mga6
+ Revision: 1018544
- rebuild for poppler

* Fri May 13 2016 shlomif <shlomif> 20130530-28.mga6
+ Revision: 1015042
- Rebuild due to the new ICU

* Mon May 09 2016 luigiwalser <luigiwalser> 20130530-27.mga6
+ Revision: 1011752
- rebuild for poppler

* Fri Jan 01 2016 luigiwalser <luigiwalser> 20130530-26.mga6
+ Revision: 917926
- rebuild for icu

* Fri Jan 01 2016 luigiwalser <luigiwalser> 20130530-25.mga6
+ Revision: 917643
- rebuild for poppler

* Sat Jul 25 2015 tv <tv> 20130530-24.mga6
+ Revision: 857555
- rebuild for new poppler

* Sat Jul 25 2015 daviddavid <daviddavid> 20130530-23.mga6
+ Revision: 857181
- rebuild for icu 55

* Tue Jun 23 2015 luigiwalser <luigiwalser> 20130530-22.mga6
+ Revision: 841050
- disable xindy (bootstrap issue)
- rebuild for poppler

* Wed May 13 2015 luigiwalser <luigiwalser> 20130530-21.mga5
+ Revision: 822028
- add patch from fedora to fix bdo#775139, predicatable tmpfile name issue

* Sun May 10 2015 luigiwalser <luigiwalser> 20130530-20.mga5
+ Revision: 821619
- add patch to fix dvisvgm opening ghostscript library (Giuseppe Ghibò)
- actually apply texmf-fedora-kpfix patch

* Mon Feb 16 2015 oden <oden> 20130530-19.mga5
+ Revision: 815166
- rebuilt for libgd-2.1.1

* Wed Oct 15 2014 umeabot <umeabot> 20130530-18.mga5
+ Revision: 750940
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 20130530-17.mga5
+ Revision: 730612
- rebuild for missing pythoneggs deps

* Tue Sep 23 2014 tv <tv> 20130530-16.mga5
+ Revision: 720821
- re-enable xindy

* Tue Sep 23 2014 tv <tv> 20130530-15.mga5
+ Revision: 719638
- further fix excludes

* Mon Sep 22 2014 tv <tv> 20130530-14.mga5
+ Revision: 719174
- bootstrap
- fix excludes
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 malo <malo> 20130530-12.mga5
+ Revision: 671328
- fix xindy build
- fix xdvik upgrade
- add xindy

* Sun Jun 22 2014 spuhler <spuhler> 20130530-11.mga5
+ Revision: 638734
- changed Obsoletes: texlive-mf2pt1 <= 2.5.0-3 to < 2.5.0-4
  * this should make it obsolete

* Wed Apr 30 2014 tmb <tmb> 20130530-10.mga5
+ Revision: 619048
- rebuild for new poppler

* Sat Apr 05 2014 wally <wally> 20130530-9.mga5
+ Revision: 611813
- rebuild for new icu

* Sat Jan 25 2014 malo <malo> 20130530-8.mga5
+ Revision: 568144
- fix path finding on upgrade

* Fri Jan 24 2014 malo <malo> 20130530-7.mga4
+ Revision: 568089
- relax zlib dep

* Fri Jan 24 2014 malo <malo> 20130530-6.mga4
+ Revision: 568051
- rename abntex2
- fix upgrade (mga#12303)

* Tue Jan 21 2014 malo <malo> 20130530-5.mga4
+ Revision: 567353
- provide xdvi from texlive (mga#12097)
- add post script logging for texhash

* Tue Dec 31 2013 malo <malo> 20130530-4.mga4
+ Revision: 563471
- move obsoletes mf3pt1 to texlive

* Mon Dec 30 2013 malo <malo> 20130530-3.mga4
+ Revision: 563239
- fix post scripts
- add newer version of metapost to fix build of lilypond (mga#12073)

* Mon Dec 16 2013 malo <malo> 20130530-2.mga4
+ Revision: 557320
- add fedora patch to fix path

* Wed Dec 11 2013 malo <malo> 20130530-1.mga4
+ Revision: 556365
- Specfile fixes
- update to 20130530, sync patches with mandriva

* Tue Oct 29 2013 malo <malo> 20120701-16.mga4
+ Revision: 547881
- add fmtutil-sys run at install time

* Mon Oct 21 2013 umeabot <umeabot> 20120701-15.mga4
+ Revision: 538284
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 malo <malo> 20120701-14.mga4
+ Revision: 489208
- fix Requires and scriptlet

* Fri Sep 27 2013 malo <malo> 20120701-13.mga4
+ Revision: 488047
- update posttrans to fix fmt generation

* Thu Sep 26 2013 tv <tv> 20120701-12.mga4
+ Revision: 486941
- rebuild for new icu

* Tue Sep 17 2013 malo <malo> 20120701-11.mga4
+ Revision: 480833
- requires only on texlive-collection-basic
- build dvi2tty (mga#8219)

* Fri Aug 23 2013 luigiwalser <luigiwalser> 20120701-10.mga4
+ Revision: 470365
- rebuild for zlib

* Wed Jul 31 2013 fwang <fwang> 20120701-9.mga4
+ Revision: 461355
- rebuild for new poppler

* Sat Jul 20 2013 fwang <fwang> 20120701-8.mga4
+ Revision: 456561
- rebuild for new poppler

* Mon Jun 03 2013 tv <tv> 20120701-7.mga4
+ Revision: 436439
- rebuild for new libpng

* Mon May 27 2013 oden <oden> 20120701-6.mga4
+ Revision: 428767
- rebuilt against libgd.so.3

* Sun May 26 2013 fwang <fwang> 20120701-5.mga4
+ Revision: 427967
- rebuild for new icu

* Fri May 24 2013 fwang <fwang> 20120701-4.mga4
+ Revision: 425820
- rebuild for new poppler

* Mon Jan 14 2013 umeabot <umeabot> 20120701-3.mga3
+ Revision: 384453
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 fwang <fwang> 20120701-2.mga3
+ Revision: 336407
- rebuild for new poppler

* Tue Dec 25 2012 mitya <mitya> 20120701-1.mga3
+ Revision: 334990
- TeXLive 2012
- Drop patches 0, 4-13 (merged upstream)
- Update format string patch

* Mon Nov 12 2012 fwang <fwang> 20110705-12.mga3
+ Revision: 317128
- rebuild for new poppler

* Wed Oct 10 2012 tv <tv> 20110705-11.mga3
+ Revision: 304197
- rebuild with new poppler

* Tue Sep 11 2012 fwang <fwang> 20110705-10.mga3
+ Revision: 292159
- rebuild for new poppler

* Tue Aug 21 2012 fwang <fwang> 20110705-9.mga3
+ Revision: 282855
- rebuild for new poppler

* Fri Jul 06 2012 mitya <mitya> 20110705-8.mga3
+ Revision: 268469
- Fix xe[la]tex for zlib >= 1.2.6

* Wed Jun 13 2012 fwang <fwang> 20110705-7.mga3
+ Revision: 260276
- add fedora patch to build with latest poppler
- rebuild for new poppler

* Sat Jun 09 2012 tmb <tmb> 20110705-6.mga3
+ Revision: 258996
- rebuild for new zlib

* Mon Feb 20 2012 luigiwalser <luigiwalser> 20110705-5.mga2
+ Revision: 211077
- rebuild

* Mon Dec 26 2011 dmorgan <dmorgan> 20110705-4.mga2
+ Revision: 187784
- Requires ruby ( mga #3827)

* Mon Dec 12 2011 pterjan <pterjan> 20110705-3.mga2
+ Revision: 180802
- Add patch fixing two overflows (already fixed in upstream svn)

* Fri Oct 28 2011 fwang <fwang> 20110705-2.mga2
+ Revision: 158964
- rebuild for new poppler

* Fri Oct 07 2011 dmorgan <dmorgan> 20110705-1.mga2
+ Revision: 152672
- Remove P10: Merged upstream
- New version 20110705  ( sync with mdv)

* Tue Sep 27 2011 ovitters <ovitters> 20100722-39.mga2
+ Revision: 149667
- rebuild for new poppler
+ boklm <boklm>
- remove provides and obsoletes on texi2html/tetex-texi2html
+ ahmad <ahmad>
- Change libpoppler-*-devel BR to pkgconfig style

* Wed Jul 06 2011 dmorgan <dmorgan> 20100722-37.mga2
+ Revision: 119211
- Backport mdv commit 641574

* Wed Jul 06 2011 cjw <cjw> 20100722-36.mga2
+ Revision: 119107
- add kpathsea lib for evince (partially sync with mdv pkg)
- use system libpoppler

* Wed May 11 2011 ahmad <ahmad> 20100722-35.mga1
+ Revision: 97324
- Drop the %%postun scriptlet, it doesn't make sense to run '%%{_bindir}/texconfig-sys rehash'
  when uninstalling texlive:
  o if %%postun is used, it won't work as %%{_bindir}/texconfig-sys won't exist
    _after_ the package is uninstalled
  o if %%preun is used, %%{_bindir}/texconfig-sys will be executed, but the config
    is invalid as the texlive files are gone after it's uninstalled
  We can just rely on the %%posttrans scriptlets refreshing the config when reinstalling
  texlive.

* Mon Apr 18 2011 ahmad <ahmad> 20100722-34.mga1
+ Revision: 87811
- Use a more refined %%posttrans scriptlet (Fedora)
- Add a %%postun scriptlet to rebuild ls-R files

* Mon Apr 11 2011 dmorgan <dmorgan> 20100722-33.mga1
+ Revision: 83102
- Do not build dvi2tty

* Mon Apr 11 2011 dmorgan <dmorgan> 20100722-32.mga1
+ Revision: 83077
- Fix obsoletes
- Fix switch
- Fix switch

* Mon Apr 11 2011 dmorgan <dmorgan> 20100722-31.mga1
+ Revision: 83071
- Disable xdvik
  Obsolete xdvi

* Tue Mar 29 2011 dmorgan <dmorgan> 20100722-30.mga1
+ Revision: 78671
- Redirect posttrans output to /dev/null - only print messages sent to stderr

* Thu Mar 24 2011 dmorgan <dmorgan> 20100722-29.mga1
+ Revision: 76657
- More obsolete to ease upgrade

* Sat Mar 19 2011 dmorgan <dmorgan> 20100722-28.mga1
+ Revision: 74534
- jadetex and xmltex are in its own package so do not package them here
- Revert the split in current/ will be done in branch
- Fix macros
- Fix file list
  Sync with fedora ( we will have some sub packages
  Enable kpathsea
- Try to split texlive into subpackages
+ rtp <rtp>
- backport icu arm fix from icu upstream ticket 7664 (bad asm syntax)

* Sat Mar 05 2011 dmorgan <dmorgan> 20100722-27.mga1
+ Revision: 64889
- Provide tetex and tetex-latex

* Fri Mar 04 2011 boklm <boklm> 20100722-26.mga1
+ Revision: 64155
- Obsoletes tetex-dvilj

* Fri Mar 04 2011 boklm <boklm> 20100722-25.mga1
+ Revision: 64047
- add provides on latex, dvips, dvipdf, etc ...

* Thu Mar 03 2011 dmorgan <dmorgan> 20100722-24.mga1
+ Revision: 63759
- Fix update from mdv

* Wed Mar 02 2011 dmorgan <dmorgan> 20100722-23.mga1
+ Revision: 62487
- Provides/Obsoletes jadetex

* Wed Mar 02 2011 dmorgan <dmorgan> 20100722-22.mga1
+ Revision: 62480
- Revert to last working state

* Wed Mar 02 2011 dmorgan <dmorgan> 20100722-21.mga1
+ Revision: 62455
- Do not use binary payload

* Wed Mar 02 2011 dmorgan <dmorgan> 20100722-20.mga1
+ Revision: 62420
- Merge mdv commit : 641198
  	- Change license tag to point to license file
  	- Add basic infrastructure to allow test installs with tetex
  	  on older distro releases
  	- Add gv as requires (default ps viewer for asymptote)

* Tue Mar 01 2011 dmorgan <dmorgan> 20100722-19.mga1
+ Revision: 62125
- Remove bootstrap

* Tue Mar 01 2011 dmorgan <dmorgan> 20100722-18.mga1
+ Revision: 61945
- Merge mdv commit  640010
  Add a simple patch to avoid attempting to be too smart, and
  still failing about X resources
- Correct xasy symlink

* Tue Mar 01 2011 dmorgan <dmorgan> 20100722-17.mga1
+ Revision: 61935
- Use jadetex from texlive instead

* Tue Mar 01 2011 dmorgan <dmorgan> 20100722-15.mga1
+ Revision: 61907
- Do not obsolete jadetex, it will come in its own package

* Tue Mar 01 2011 dmorgan <dmorgan> 20100722-14.mga1
+ Revision: 61902
- Fix obsolete

* Mon Feb 28 2011 dmorgan <dmorgan> 20100722-13.mga1
+ Revision: 61580
- Add missing provides

* Mon Feb 28 2011 dmorgan <dmorgan> 20100722-12.mga1
+ Revision: 61393
- Fix obsolete of xmltex

* Mon Feb 28 2011 dmorgan <dmorgan> 20100722-11.mga1
+ Revision: 61392
- Fix obsoletes
- Bootstrap xindy
- Disable bootstrap
+ boklm <boklm>
- Obsoletes texlive-fonts

* Fri Feb 25 2011 dmorgan <dmorgan> 20100722-8.mga1
+ Revision: 59513
- Bootstrap
- Sync with mdv
- Remove old patches
- imported package texlive

